diff --git a/lib/security/rte_security.h b/lib/security/rte_security.h
index d2d2af23d5d2..ca78627ec7d2 100644
--- a/lib/security/rte_security.h
+++ b/lib/security/rte_security.h
@@ -815,7 +815,6 @@ rte_security_session_create(void *instance,
  *  - On success returns 0
  *  - On failure returns a negative errno value.
  */
-__rte_experimental
 int
 rte_security_session_update(void *instance,
 			    void *sess,
@@ -851,9 +850,6 @@ int
 rte_security_session_destroy(void *instance, void *sess);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change without prior notice
- *
  * Create MACsec security channel (SC).
  *
  * @param   instance	security instance
@@ -865,15 +861,11 @@ rte_security_session_destroy(void *instance, void *sess);
  *  - -ENOMEM if PMD is not capable to create more SC.
  *  - other negative value for other errors.
  */
-__rte_experimental
 int
 rte_security_macsec_sc_create(void *instance,
 			      struct rte_security_macsec_sc *conf);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change without prior notice
- *
  * Destroy MACsec security channel (SC).
  *
  * @param   instance	security instance
@@ -884,15 +876,11 @@ rte_security_macsec_sc_create(void *instance,
  *  - -EINVAL if sc_id is invalid or instance is NULL.
  *  - -EBUSY if sc is being used by some session.
  */
-__rte_experimental
 int
 rte_security_macsec_sc_destroy(void *instance, uint16_t sc_id,
 			       enum rte_security_macsec_direction dir);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change without prior notice
- *
  * Create MACsec security association (SA).
  *
  * @param   instance	security instance
@@ -904,15 +892,11 @@ rte_security_macsec_sc_destroy(void *instance, uint16_t sc_id,
  *  - -ENOMEM if PMD is not capable to create more SAs.
  *  - other negative value for other errors.
  */
-__rte_experimental
 int
 rte_security_macsec_sa_create(void *instance,
 			      struct rte_security_macsec_sa *conf);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change without prior notice
- *
  * Destroy MACsec security association (SA).
  *
  * @param   instance	security instance
@@ -923,7 +907,6 @@ rte_security_macsec_sa_create(void *instance,
  *  - -EINVAL if sa_id is invalid or instance is NULL.
  *  - -EBUSY if sa is being used by some session.
  */
-__rte_experimental
 int
 rte_security_macsec_sa_destroy(void *instance, uint16_t sa_id,
 			       enum rte_security_macsec_direction dir);
@@ -1059,7 +1042,7 @@ rte_security_session_fast_mdata_set(void *sess, uint64_t fdata)
 }
 
 /** Function to call PMD specific function pointer set_pkt_metadata() */
-__rte_experimental
+__rte_internal
 int __rte_security_set_pkt_metadata(void *instance,
 				    void *sess,
 				    struct rte_mbuf *m, void *params);
@@ -1230,16 +1213,12 @@ struct rte_security_stats {
  *  - On success, return 0
  *  - On failure, a negative value
  */
-__rte_experimental
 int
 rte_security_session_stats_get(void *instance,
 			       void *sess,
 			       struct rte_security_stats *stats);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change without prior notice
- *
  * Get MACsec SA statistics.
  *
  * @param	instance	security instance
@@ -1250,16 +1229,12 @@ rte_security_session_stats_get(void *instance,
  *  - On success, return 0.
  *  - On failure, a negative value.
  */
-__rte_experimental
 int
 rte_security_macsec_sa_stats_get(void *instance,
 				 uint16_t sa_id, enum rte_security_macsec_direction dir,
 				 struct rte_security_macsec_sa_stats *stats);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change without prior notice
- *
  * Get MACsec SC statistics.
  *
  * @param	instance	security instance
@@ -1270,7 +1245,6 @@ rte_security_macsec_sa_stats_get(void *instance,
  *  - On success, return 0.
  *  - On failure, a negative value.
  */
-__rte_experimental
 int
 rte_security_macsec_sc_stats_get(void *instance,
 				 uint16_t sc_id, enum rte_security_macsec_direction dir,
diff --git a/lib/security/version.map b/lib/security/version.map
index e07fca33a1e6..487822147fd3 100644
--- a/lib/security/version.map
+++ b/lib/security/version.map
@@ -6,14 +6,6 @@ DPDK_24 {
 	rte_security_session_create;
 	rte_security_session_destroy;
 	rte_security_session_get_size;
-
-	local: *;
-};
-
-EXPERIMENTAL {
-	global:
-
-	__rte_security_set_pkt_metadata;
 	rte_security_dynfield_offset;
 	rte_security_macsec_sa_create;
 	rte_security_macsec_sa_destroy;
@@ -23,8 +15,15 @@ EXPERIMENTAL {
 	rte_security_macsec_sc_stats_get;
 	rte_security_session_stats_get;
 	rte_security_session_update;
-	rte_security_oop_dynfield_offset;
 
+	local: *;
+};
+
+EXPERIMENTAL {
+	global:
+
+	# Added in 23.11
+	rte_security_oop_dynfield_offset;
 	rte_security_rx_inject_configure;
 	rte_security_inb_pkt_rx_inject;
 };
@@ -32,6 +31,7 @@ EXPERIMENTAL {
 INTERNAL {
 	global:
 
+	__rte_security_set_pkt_metadata;
 	rte_security_dynfield_register;
 	rte_security_oop_dynfield_register;
 };