diff --git a/lib/eventdev/rte_event_crypto_adapter.h b/lib/eventdev/rte_event_crypto_adapter.h
index 4e1f1bb3a8e6..e07f159b7760 100644
--- a/lib/eventdev/rte_event_crypto_adapter.h
+++ b/lib/eventdev/rte_event_crypto_adapter.h
@@ -694,9 +694,6 @@ rte_event_crypto_adapter_runtime_params_get(uint8_t id,
 		struct rte_event_crypto_adapter_runtime_params *params);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change without prior notice
- *
  * Retrieve vector limits for a given event dev and crypto dev pair.
  * @see rte_event_crypto_adapter_vector_limits
  *
@@ -712,7 +709,6 @@ rte_event_crypto_adapter_runtime_params_get(uint8_t id,
  *  - 0: Success.
  *  - <0: Error code on failure.
  */
-__rte_experimental
 int rte_event_crypto_adapter_vector_limits_get(
 	uint8_t dev_id, uint16_t cdev_id,
 	struct rte_event_crypto_adapter_vector_limits *limits);
diff --git a/lib/eventdev/rte_event_eth_rx_adapter.h b/lib/eventdev/rte_event_eth_rx_adapter.h
index 842581e87e02..cf42c69b0d71 100644
--- a/lib/eventdev/rte_event_eth_rx_adapter.h
+++ b/lib/eventdev/rte_event_eth_rx_adapter.h
@@ -466,7 +466,6 @@ int rte_event_eth_rx_adapter_create(uint8_t id, uint8_t dev_id,
  *   - 0: Success
  *   - <0: Error code on failure
  */
-__rte_experimental
 int rte_event_eth_rx_adapter_create_with_params(uint8_t id, uint8_t dev_id,
 			struct rte_event_port_conf *port_config,
 			struct rte_event_eth_rx_adapter_params *rxa_params);
@@ -711,7 +710,6 @@ int rte_event_eth_rx_adapter_vector_limits_get(
  *  - 0: Success, Receive queue added correctly.
  *  - <0: Error code on failure.
  */
-__rte_experimental
 int rte_event_eth_rx_adapter_queue_conf_get(uint8_t id,
 			uint16_t eth_dev_id,
 			uint16_t rx_queue_id,
@@ -736,7 +734,6 @@ int rte_event_eth_rx_adapter_queue_conf_get(uint8_t id,
  *  - 0: Success, queue buffer stats retrieved.
  *  - <0: Error code on failure.
  */
-__rte_experimental
 int
 rte_event_eth_rx_adapter_queue_stats_get(uint8_t id,
 		uint16_t eth_dev_id,
@@ -759,7 +756,6 @@ rte_event_eth_rx_adapter_queue_stats_get(uint8_t id,
  *  - 0: Success, queue buffer stats retrieved.
  *  - <0: Error code on failure.
  */
-__rte_experimental
 int
 rte_event_eth_rx_adapter_queue_stats_reset(uint8_t id,
 		uint16_t eth_dev_id,
@@ -780,7 +776,6 @@ rte_event_eth_rx_adapter_queue_stats_reset(uint8_t id,
  *  - <0: Error code on failure, if the adapter doesn't use a rte_service
  * function, this function returns -ESRCH.
  */
-__rte_experimental
 int
 rte_event_eth_rx_adapter_event_port_get(uint8_t id, uint8_t *event_port_id);
 
@@ -801,7 +796,6 @@ rte_event_eth_rx_adapter_event_port_get(uint8_t id, uint8_t *event_port_id);
  *  -  0: Success
  *  - <0: Error code on failure
  */
-__rte_experimental
 int
 rte_event_eth_rx_adapter_instance_get(uint16_t eth_dev_id,
 				      uint16_t rx_queue_id,
diff --git a/lib/eventdev/rte_event_eth_tx_adapter.h b/lib/eventdev/rte_event_eth_tx_adapter.h
index 1ea9a153164d..b38b3fce979b 100644
--- a/lib/eventdev/rte_event_eth_tx_adapter.h
+++ b/lib/eventdev/rte_event_eth_tx_adapter.h
@@ -492,7 +492,6 @@ rte_event_eth_tx_adapter_service_id_get(uint8_t id, uint32_t *service_id);
  *  -  0: Success
  *  - <0: Error code on failure
  */
-__rte_experimental
 int
 rte_event_eth_tx_adapter_instance_get(uint16_t eth_dev_id,
 				      uint16_t tx_queue_id,
@@ -527,7 +526,6 @@ rte_event_eth_tx_adapter_instance_get(uint16_t eth_dev_id,
  *   - 0: Success
  *   - <0: Error code on failure
  */
-__rte_experimental
 int
 rte_event_eth_tx_adapter_queue_start(uint16_t eth_dev_id, uint16_t tx_queue_id);
 
@@ -546,7 +544,6 @@ rte_event_eth_tx_adapter_queue_start(uint16_t eth_dev_id, uint16_t tx_queue_id);
  *   - 0: Success
  *   - <0: Error code on failure
  */
-__rte_experimental
 int
 rte_event_eth_tx_adapter_queue_stop(uint16_t eth_dev_id, uint16_t tx_queue_id);
 
diff --git a/lib/eventdev/rte_event_timer_adapter.h b/lib/eventdev/rte_event_timer_adapter.h
index fbdddf8f91bd..686cf80a675f 100644
--- a/lib/eventdev/rte_event_timer_adapter.h
+++ b/lib/eventdev/rte_event_timer_adapter.h
@@ -689,9 +689,6 @@ rte_event_timer_cancel_burst(const struct rte_event_timer_adapter *adapter,
 }
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change without prior notice
- *
  * Get the number of ticks remaining until event timer expiry.
  *
  * @param adapter
diff --git a/lib/eventdev/rte_eventdev.h b/lib/eventdev/rte_eventdev.h
index 2ea98302b89f..ec9b02455d2e 100644
--- a/lib/eventdev/rte_eventdev.h
+++ b/lib/eventdev/rte_eventdev.h
@@ -785,7 +785,6 @@ rte_event_queue_attr_get(uint8_t dev_id, uint8_t queue_id, uint32_t attr_id,
  *   - -ENOTSUP: device does not support setting the event attribute.
  *   - <0: failed to set event queue attribute
  */
-__rte_experimental
 int
 rte_event_queue_attr_set(uint8_t dev_id, uint8_t queue_id, uint32_t attr_id,
 			 uint64_t attr_value);
@@ -948,7 +947,6 @@ typedef void (*rte_eventdev_port_flush_t)(uint8_t dev_id,
  * @param args
  *   Argument supplied to callback.
  */
-__rte_experimental
 void
 rte_event_port_quiesce(uint8_t dev_id, uint8_t port_id,
 		       rte_eventdev_port_flush_t release_cb, void *args);
@@ -2465,7 +2463,6 @@ rte_event_dequeue_burst(uint8_t dev_id, uint8_t port_id, struct rte_event ev[],
  *
  * @see RTE_EVENT_DEV_CAP_MAINTENANCE_FREE
  */
-__rte_experimental
 static inline int
 rte_event_maintain(uint8_t dev_id, uint8_t port_id, int op)
 {
@@ -2514,7 +2511,6 @@ rte_event_maintain(uint8_t dev_id, uint8_t port_id, int op)
  *  - 0 on success.
  *  - -EINVAL if *dev_id*,  *port_id*, or *profile_id* is invalid.
  */
-__rte_experimental
 static inline uint8_t
 rte_event_port_profile_switch(uint8_t dev_id, uint8_t port_id, uint8_t profile_id)
 {
diff --git a/lib/eventdev/version.map b/lib/eventdev/version.map
index 42a2f7206e4e..3d5c6c2b835c 100644
--- a/lib/eventdev/version.map
+++ b/lib/eventdev/version.map
@@ -5,6 +5,7 @@ DPDK_24 {
 	__rte_eventdev_trace_deq_burst;
 	__rte_eventdev_trace_enq_burst;
 	__rte_eventdev_trace_eth_tx_adapter_enqueue;
+	__rte_eventdev_trace_maintain;
 	__rte_eventdev_trace_timer_arm_burst;
 	__rte_eventdev_trace_timer_arm_tmo_tick_burst;
 	__rte_eventdev_trace_timer_cancel_burst;
@@ -20,6 +21,7 @@ DPDK_24 {
 	rte_event_crypto_adapter_stats_get;
 	rte_event_crypto_adapter_stats_reset;
 	rte_event_crypto_adapter_stop;
+	rte_event_crypto_adapter_vector_limits_get;
 	rte_event_dequeue_timeout_ticks;
 	rte_event_dev_attr_get;
 	rte_event_dev_close;
@@ -42,9 +44,15 @@ DPDK_24 {
 	rte_event_eth_rx_adapter_cb_register;
 	rte_event_eth_rx_adapter_create;
 	rte_event_eth_rx_adapter_create_ext;
+	rte_event_eth_rx_adapter_create_with_params;
+	rte_event_eth_rx_adapter_event_port_get;
 	rte_event_eth_rx_adapter_free;
+	rte_event_eth_rx_adapter_instance_get;
 	rte_event_eth_rx_adapter_queue_add;
+	rte_event_eth_rx_adapter_queue_conf_get;
 	rte_event_eth_rx_adapter_queue_del;
+	rte_event_eth_rx_adapter_queue_stats_get;
+	rte_event_eth_rx_adapter_queue_stats_reset;
 	rte_event_eth_rx_adapter_service_id_get;
 	rte_event_eth_rx_adapter_start;
 	rte_event_eth_rx_adapter_stats_get;
@@ -56,8 +64,11 @@ DPDK_24 {
 	rte_event_eth_tx_adapter_create_ext;
 	rte_event_eth_tx_adapter_event_port_get;
 	rte_event_eth_tx_adapter_free;
+	rte_event_eth_tx_adapter_instance_get;
 	rte_event_eth_tx_adapter_queue_add;
 	rte_event_eth_tx_adapter_queue_del;
+	rte_event_eth_tx_adapter_queue_start;
+	rte_event_eth_tx_adapter_queue_stop;
 	rte_event_eth_tx_adapter_service_id_get;
 	rte_event_eth_tx_adapter_start;
 	rte_event_eth_tx_adapter_stats_get;
@@ -68,10 +79,12 @@ DPDK_24 {
 	rte_event_port_default_conf_get;
 	rte_event_port_link;
 	rte_event_port_links_get;
+	rte_event_port_quiesce;
 	rte_event_port_setup;
 	rte_event_port_unlink;
 	rte_event_port_unlinks_in_progress;
 	rte_event_queue_attr_get;
+	rte_event_queue_attr_set;
 	rte_event_queue_default_conf_get;
 	rte_event_queue_setup;
 	rte_event_ring_create;
@@ -100,27 +113,6 @@ DPDK_24 {
 EXPERIMENTAL {
 	global:
 
-	# added in 21.11
-	__rte_eventdev_trace_maintain;
-	rte_event_eth_rx_adapter_create_with_params;
-	rte_event_eth_rx_adapter_queue_conf_get;
-	rte_event_eth_rx_adapter_queue_stats_get;
-	rte_event_eth_rx_adapter_queue_stats_reset;
-
-	# added in 22.03
-	rte_event_eth_rx_adapter_event_port_get;
-
-	# added in 22.07
-	rte_event_crypto_adapter_vector_limits_get;
-	rte_event_port_quiesce;
-	rte_event_queue_attr_set;
-
-	# added in 22.11
-	rte_event_eth_rx_adapter_instance_get;
-	rte_event_eth_tx_adapter_instance_get;
-	rte_event_eth_tx_adapter_queue_start;
-	rte_event_eth_tx_adapter_queue_stop;
-
 	# added in 23.03
 	rte_event_crypto_adapter_runtime_params_get;
 	rte_event_crypto_adapter_runtime_params_init;