diff --git a/lib/power/rte_power.h b/lib/power/rte_power.h
index e79bf1c4dd0c..4b624a01c5d7 100644
--- a/lib/power/rte_power.h
+++ b/lib/power/rte_power.h
@@ -25,9 +25,6 @@ enum power_management_env {PM_ENV_NOT_SET, PM_ENV_ACPI_CPUFREQ, PM_ENV_KVM_VM,
 		PM_ENV_AMD_PSTATE_CPUFREQ};
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change, or be removed, without prior notice
- *
  * Check if a specific power management environment type is supported on a
  * currently running system.
  *
@@ -39,7 +36,6 @@ enum power_management_env {PM_ENV_NOT_SET, PM_ENV_ACPI_CPUFREQ, PM_ENV_KVM_VM,
  *   - 0 if unsupported
  *   - -1 if error, with rte_errno indicating reason for error.
  */
-__rte_experimental
 int rte_power_check_env_supported(enum power_management_env env);
 
 /**
diff --git a/lib/power/rte_power_guest_channel.h b/lib/power/rte_power_guest_channel.h
index b5de1bd24318..55b76dfc4c08 100644
--- a/lib/power/rte_power_guest_channel.h
+++ b/lib/power/rte_power_guest_channel.h
@@ -135,9 +135,6 @@ int rte_power_guest_channel_send_msg(struct rte_power_channel_packet *pkt,
 			unsigned int lcore_id);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change without prior notice.
- *
  * Receive a message contained in pkt over the Virtio-Serial
  * from the host endpoint.
  *
@@ -155,7 +152,6 @@ int rte_power_guest_channel_send_msg(struct rte_power_channel_packet *pkt,
  *  - 0 on success.
  *  - Negative on error.
  */
-__rte_experimental
 int rte_power_guest_channel_receive_msg(void *pkt,
 		size_t pkt_len,
 		unsigned int lcore_id);
diff --git a/lib/power/rte_power_pmd_mgmt.h b/lib/power/rte_power_pmd_mgmt.h
index 0f1a2eb22eb4..456145661917 100644
--- a/lib/power/rte_power_pmd_mgmt.h
+++ b/lib/power/rte_power_pmd_mgmt.h
@@ -33,9 +33,6 @@ enum rte_power_pmd_mgmt_type {
 };
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change, or be removed, without prior notice.
- *
  * Enable power management on a specified Ethernet device Rx queue and lcore.
  *
  * @note This function is not thread-safe.
@@ -55,16 +52,12 @@ enum rte_power_pmd_mgmt_type {
  *   0 on success
  *   <0 on error
  */
-__rte_experimental
 int
 rte_power_ethdev_pmgmt_queue_enable(unsigned int lcore_id,
 		uint16_t port_id, uint16_t queue_id,
 		enum rte_power_pmd_mgmt_type mode);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change, or be removed, without prior notice.
- *
  * Disable power management on a specified Ethernet device Rx queue and lcore.
  *
  * @note This function is not thread-safe.
@@ -82,42 +75,30 @@ rte_power_ethdev_pmgmt_queue_enable(unsigned int lcore_id,
  *   0 on success
  *   <0 on error
  */
-__rte_experimental
 int
 rte_power_ethdev_pmgmt_queue_disable(unsigned int lcore_id,
 		uint16_t port_id, uint16_t queue_id);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change, or be removed, without prior notice.
- *
  * Set a emptypoll_max to specified value. Used to specify the number of empty
  * polls to wait before entering sleep state.
  *
  * @param max
  *   The value to set emptypoll_max to.
  */
-__rte_experimental
 void
 rte_power_pmd_mgmt_set_emptypoll_max(unsigned int max);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change, or be removed, without prior notice.
- *
  * Get the current value of emptypoll_max.
  *
  * @return
  *   The current emptypoll_max value
  */
-__rte_experimental
 unsigned int
 rte_power_pmd_mgmt_get_emptypoll_max(void);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change, or be removed, without prior notice.
- *
  * Set the pause_duration. Used to adjust the pause mode callback duration.
  *
  * @note Duration must be greater than zero.
@@ -128,27 +109,19 @@ rte_power_pmd_mgmt_get_emptypoll_max(void);
  *   0 on success
  *   <0 on error
  */
-__rte_experimental
 int
 rte_power_pmd_mgmt_set_pause_duration(unsigned int duration);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change, or be removed, without prior notice.
- *
  * Get the current value of pause_duration.
  *
  * @return
  *   The current pause_duration value.
  */
-__rte_experimental
 unsigned int
 rte_power_pmd_mgmt_get_pause_duration(void);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change, or be removed, without prior notice.
- *
  * Set the min frequency to be used for frequency scaling or zero to use defaults.
  *
  * @note Supported by: Pstate mode.
@@ -161,14 +134,10 @@ rte_power_pmd_mgmt_get_pause_duration(void);
  *   0 on success
  *   <0 on error
  */
-__rte_experimental
 int
 rte_power_pmd_mgmt_set_scaling_freq_min(unsigned int lcore, unsigned int min);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change, or be removed, without prior notice.
- *
  * Set the max frequency to be used for frequency scaling or zero to use defaults.
  *
  * @note Supported by: Pstate mode.
@@ -182,14 +151,10 @@ rte_power_pmd_mgmt_set_scaling_freq_min(unsigned int lcore, unsigned int min);
  *   0 on success
  *   <0 on error
  */
-__rte_experimental
 int
 rte_power_pmd_mgmt_set_scaling_freq_max(unsigned int lcore, unsigned int max);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change, or be removed, without prior notice.
- *
  * Get the current configured min frequency used for frequency scaling.
  *
  * @note Supported by: Pstate mode.
@@ -202,14 +167,10 @@ rte_power_pmd_mgmt_set_scaling_freq_max(unsigned int lcore, unsigned int max);
  *   , in KiloHertz, used for frequency scaling.
  *   <0 on error
  */
-__rte_experimental
 int
 rte_power_pmd_mgmt_get_scaling_freq_min(unsigned int lcore);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change, or be removed, without prior notice.
- *
  * Get the current configured max frequency used for frequency scaling.
  *
  * @note Supported by: Pstate mode.
@@ -222,7 +183,6 @@ rte_power_pmd_mgmt_get_scaling_freq_min(unsigned int lcore);
  *   , in KiloHertz, used for frequency scaling.
  *   <0 on error
  */
-__rte_experimental
 int
 rte_power_pmd_mgmt_get_scaling_freq_max(unsigned int lcore);
 
diff --git a/lib/power/rte_power_uncore.h b/lib/power/rte_power_uncore.h
index 295017b7f429..45d5235302c2 100644
--- a/lib/power/rte_power_uncore.h
+++ b/lib/power/rte_power_uncore.h
@@ -38,14 +38,12 @@ enum rte_uncore_power_mgmt_env {
  *  - 0 on success.
  *  - Negative on error.
  */
-__rte_experimental
 int rte_power_set_uncore_env(enum rte_uncore_power_mgmt_env env);
 
 /**
  * Unset the global uncore environment configuration.
  * This can only be called after all threads have completed.
  */
-__rte_experimental
 void rte_power_unset_uncore_env(void);
 
 /**
@@ -54,7 +52,6 @@ void rte_power_unset_uncore_env(void);
  * @return
  *  power_management_env The configured environment.
  */
-__rte_experimental
 enum rte_uncore_power_mgmt_env rte_power_get_uncore_env(void);
 
 /**
@@ -74,7 +71,6 @@ enum rte_uncore_power_mgmt_env rte_power_get_uncore_env(void);
  *  - 0 on success.
  *  - Negative on error.
  */
-__rte_experimental
 int
 rte_power_uncore_init(unsigned int pkg, unsigned int die);
 
@@ -96,7 +92,6 @@ rte_power_uncore_init(unsigned int pkg, unsigned int die);
  *  - 0 on success.
  *  - Negative on error.
  */
-__rte_experimental
 int
 rte_power_uncore_exit(unsigned int pkg, unsigned int die);
 
diff --git a/lib/power/version.map b/lib/power/version.map
index 53627b59f189..268711ac858b 100644
--- a/lib/power/version.map
+++ b/lib/power/version.map
@@ -1,6 +1,9 @@
 DPDK_24 {
 	global:
 
+	rte_power_check_env_supported;
+	rte_power_ethdev_pmgmt_queue_disable;
+	rte_power_ethdev_pmgmt_queue_enable;
 	rte_power_exit;
 	rte_power_freq_disable_turbo;
 	rte_power_freq_down;
@@ -12,27 +15,11 @@ DPDK_24 {
 	rte_power_get_capabilities;
 	rte_power_get_env;
 	rte_power_get_freq;
+	rte_power_get_uncore_env;
+	rte_power_get_uncore_freq;
+	rte_power_guest_channel_receive_msg;
 	rte_power_guest_channel_send_msg;
 	rte_power_init;
-	rte_power_set_env;
-	rte_power_set_freq;
-	rte_power_turbo_status;
-	rte_power_unset_env;
-
-	local: *;
-};
-
-EXPERIMENTAL {
-	global:
-
-	rte_power_check_env_supported;
-	rte_power_guest_channel_receive_msg;
-
-	# added in 21.02
-	rte_power_ethdev_pmgmt_queue_disable;
-	rte_power_ethdev_pmgmt_queue_enable;
-
-	# added in 22.07
 	rte_power_pmd_mgmt_get_emptypoll_max;
 	rte_power_pmd_mgmt_get_pause_duration;
 	rte_power_pmd_mgmt_get_scaling_freq_max;
@@ -41,21 +28,21 @@ EXPERIMENTAL {
 	rte_power_pmd_mgmt_set_pause_duration;
 	rte_power_pmd_mgmt_set_scaling_freq_max;
 	rte_power_pmd_mgmt_set_scaling_freq_min;
-
-	# added in 22.11
-	rte_power_get_uncore_freq;
+	rte_power_set_env;
+	rte_power_set_freq;
+	rte_power_set_uncore_env;
 	rte_power_set_uncore_freq;
+	rte_power_turbo_status;
 	rte_power_uncore_exit;
 	rte_power_uncore_freq_max;
 	rte_power_uncore_freq_min;
+	rte_power_uncore_freqs;
 	rte_power_uncore_get_num_dies;
 	rte_power_uncore_get_num_freqs;
 	rte_power_uncore_get_num_pkgs;
 	rte_power_uncore_init;
-
-	# added in 23.11
-	rte_power_get_uncore_env;
-	rte_power_set_uncore_env;
-	rte_power_uncore_freqs;
+	rte_power_unset_env;
 	rte_power_unset_uncore_env;
+
+	local: *;
 };