diff --git a/lib/eal/include/rte_dev.h b/lib/eal/include/rte_dev.h
index 8568535ac04b..86ef2f54235d 100644
--- a/lib/eal/include/rte_dev.h
+++ b/lib/eal/include/rte_dev.h
@@ -341,7 +341,6 @@ typedef void *(*rte_dev_iterate_t)(const void *start,
  *   0 on successful initialization.
  *   <0 on error.
  */
-__rte_experimental
 int
 rte_dev_iterator_init(struct rte_dev_iterator *it, const char *str);
 
@@ -361,7 +360,6 @@ rte_dev_iterator_init(struct rte_dev_iterator *it, const char *str);
  *   NULL if an error occurred (rte_errno is set).
  *   NULL if no device could be found (rte_errno is not set).
  */
-__rte_experimental
 struct rte_device *
 rte_dev_iterator_next(struct rte_dev_iterator *it);
 
@@ -372,9 +370,6 @@ rte_dev_iterator_next(struct rte_dev_iterator *it);
 	     dev = rte_dev_iterator_next(it))
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change without prior notice
- *
  * It registers the callback for the specific device.
  * Multiple callbacks can be registered at the same time.
  *
@@ -390,16 +385,12 @@ rte_dev_iterator_next(struct rte_dev_iterator *it);
  *  - On success, zero.
  *  - On failure, a negative value.
  */
-__rte_experimental
 int
 rte_dev_event_callback_register(const char *device_name,
 				rte_dev_event_cb_fn cb_fn,
 				void *cb_arg);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change without prior notice
- *
  * It unregisters the callback according to the specified device.
  *
  * @param device_name
@@ -415,16 +406,12 @@ rte_dev_event_callback_register(const char *device_name,
  *  - On success, return the number of callback entities removed.
  *  - On failure, a negative value.
  */
-__rte_experimental
 int
 rte_dev_event_callback_unregister(const char *device_name,
 				  rte_dev_event_cb_fn cb_fn,
 				  void *cb_arg);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change without prior notice
- *
  * Executes all the user application registered callbacks for
  * the specific device.
  *
@@ -433,64 +420,47 @@ rte_dev_event_callback_unregister(const char *device_name,
  * @param event
  *  the device event type.
  */
-__rte_experimental
 void
 rte_dev_event_callback_process(const char *device_name,
 			       enum rte_dev_event_type event);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change without prior notice
- *
  * Start the device event monitoring.
  *
  * @return
  *   - On success, zero.
  *   - On failure, a negative value.
  */
-__rte_experimental
 int
 rte_dev_event_monitor_start(void);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change without prior notice
- *
  * Stop the device event monitoring.
  *
  * @return
  *   - On success, zero.
  *   - On failure, a negative value.
  */
-__rte_experimental
 int
 rte_dev_event_monitor_stop(void);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change without prior notice
- *
  * Enable hotplug handling for devices.
  *
  * @return
  *   - On success, zero.
  *   - On failure, a negative value.
  */
-__rte_experimental
 int
 rte_dev_hotplug_handle_enable(void);
 
 /**
- * @warning
- * @b EXPERIMENTAL: this API may change without prior notice
- *
  * Disable hotplug handling for devices.
  *
  * @return
  *   - On success, zero.
  *   - On failure, a negative value.
  */
-__rte_experimental
 int
 rte_dev_hotplug_handle_disable(void);
 
@@ -514,7 +484,6 @@ rte_dev_hotplug_handle_disable(void);
  *	0 if mapping was successful.
  *	Negative value and rte_errno is set otherwise.
  */
-__rte_experimental
 int
 rte_dev_dma_map(struct rte_device *dev, void *addr, uint64_t iova, size_t len);
 
@@ -538,7 +507,6 @@ rte_dev_dma_map(struct rte_device *dev, void *addr, uint64_t iova, size_t len);
  *	0 if un-mapping was successful.
  *	Negative value and rte_errno is set otherwise.
  */
-__rte_experimental
 int
 rte_dev_dma_unmap(struct rte_device *dev, void *addr, uint64_t iova,
 		  size_t len);
diff --git a/lib/eal/version.map b/lib/eal/version.map
index e00a844805bb..01ff887358fa 100644
--- a/lib/eal/version.map
+++ b/lib/eal/version.map
@@ -28,8 +28,19 @@ DPDK_24 {
 	rte_dev_bus;
 	rte_dev_bus_info;
 	rte_dev_devargs;
+	rte_dev_dma_map;
+	rte_dev_dma_unmap;
 	rte_dev_driver;
+	rte_dev_event_callback_process;
+	rte_dev_event_callback_register;
+	rte_dev_event_callback_unregister;
+	rte_dev_event_monitor_start;
+	rte_dev_event_monitor_stop;
+	rte_dev_hotplug_handle_disable;
+	rte_dev_hotplug_handle_enable;
 	rte_dev_is_probed;
+	rte_dev_iterator_init;
+	rte_dev_iterator_next;
 	rte_dev_name;
 	rte_dev_numa_node;
 	rte_dev_probe;
@@ -309,28 +320,11 @@ DPDK_24 {
 EXPERIMENTAL {
 	global:
 
-	# added in 18.05
-	rte_dev_event_callback_register;
-	rte_dev_event_callback_unregister;
-	rte_dev_event_monitor_start;
-	rte_dev_event_monitor_stop;
-
 	# added in 18.08
 	rte_class_find;
 	rte_class_find_by_name;
 	rte_class_register;
 	rte_class_unregister;
-	rte_dev_iterator_init;
-	rte_dev_iterator_next;
-
-	# added in 18.11
-	rte_dev_event_callback_process;
-	rte_dev_hotplug_handle_disable;
-	rte_dev_hotplug_handle_enable;
-
-	# added in 19.05
-	rte_dev_dma_map;
-	rte_dev_dma_unmap;
 
 	# added in 20.05
 	__rte_eal_trace_generic_double;